attribute highp vec4 a_vertex;
//attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;
uniform mediump vec4 u_work0;
uniform mediump vec4 u_color;

uniform highp mat4 u_ModelViewProj;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump float v_start;
varying mediump float v_level;
varying mediump float v_centerx;
varying mediump float v_centery;
varying mediump vec4 v_colors;

void main()
{
    gl_Position = u_ModelViewProj * a_vertex;
//	v_color = a_color;
	v_texCoord = a_texCoord;
	v_start = u_work0.x;
	v_level = u_work0.y;
	v_centerx = u_work0.z;
	v_centery = u_work0.w;
	v_colors = u_color;
}
