uniform lowp sampler2D u_texture;
uniform mediump vec4 u_color;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying lowp float v_fogFactor;
varying lowp vec3 v_fogColor;
varying mediump vec4 v_colors;

void main()
{
	lowp vec4 texcol2D = texture2D( u_texture, v_texCoord );
	
	gl_FragColor = vec4( ((u_color.rgb * texcol2D.rgb) * v_fogFactor) + v_fogColor, u_color.a * texcol2D.a );
}
