attribute highp vec4 a_vertex;
//attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_ModelViewProj;

uniform lowp vec4 u_fogColor;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying lowp float v_fogFactor;
varying lowp vec3 v_fogColor;

void main()
{
    gl_Position = u_ModelViewProj * a_vertex;
	
//	v_color = a_color;
	
	v_texCoord = a_texCoord;
		
	v_fogFactor = 1.0 - u_fogColor.a;
	
	v_fogColor = u_fogColor.rgb * u_fogColor.a;
}
