uniform lowp sampler2D u_texture;
uniform mediump vec4 u_color;

varying mediump vec2 v_texCoord;
//varying lowp vec4 v_diffuse;
const mediump vec3 monoScale = vec3(0.298912, 0.586611, 0.114478);

void main()
{
	mediump vec4 smpColor = texture2D( u_texture, v_texCoord );
	mediump float grayColor = dot(monoScale, smpColor.rgb * u_color.rgb);
	gl_FragColor = vec4(vec3(grayColor), smpColor.a * u_color.a );
}
