uniform lowp sampler2D u_texture;
uniform lowp float u_work0;
uniform mediump vec4 u_color;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
//varying lowp vec4 v_diffuse;
const mediump vec3 monoScale = vec3(0.298912, 0.586611, 0.114478);

void main()
{
	mediump vec4 smpColor = u_color * v_color * texture2D( u_texture, v_texCoord );
	mediump float grayColor = dot(monoScale, smpColor.rgb);
	gl_FragColor = vec4(vec3(grayColor) * u_work0 + smpColor.xyz * (1.0 - u_work0), smpColor.a );
}
