uniform lowp sampler2D u_texture;
uniform lowp sampler2D u_texture1;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump vec4 v_ShadowTexCoord;

void main()
{
/*	// 影の画像から色情報を取得
	lowp vec4 col = texture2D( u_texture1, v_ShadowTexCoord ) * 0.2;
	// α値は無しにする
	col.a = 0.0;
	
	// ライティングｘテクスチャ色－落ちてる影の色
	gl_FragColor = v_color * texture2D( u_texture, v_texCoord ) - col;
*/
//	gl_FragColor = v_color * texture2D( u_texture, v_texCoord ) - texture2D( u_texture1, v_ShadowTexCoord ) * 0.1;	
//	gl_FragColor = v_color * texture2D( u_texture, v_texCoord ) - texture2DProj( u_texture1, v_ShadowTexCoord ) * 0.1;

	lowp vec4 texcol2D = texture2D( u_texture, v_texCoord );
	
	// アルファ値が0.0以下であれば描画しない
	if( texcol2D.a <= 0.0 )	discard;

	mediump vec2 st;
	st.x = v_ShadowTexCoord.x / v_ShadowTexCoord.w;
	st.y = v_ShadowTexCoord.y / v_ShadowTexCoord.w;
	gl_FragColor = v_color * texcol2D - texture2D( u_texture1, st ) * 0.1;	
}
