uniform lowp sampler2D u_texture;
uniform lowp sampler2D u_texture1;
uniform mediump vec4 u_color;

varying mediump vec3 v_normal;
varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying lowp vec4 v_diffuse;
varying lowp vec4 v_ambient;
varying highp vec4 v_ShadowTexCoord;
varying highp vec4 v_Depth;

void main()
{
/*	lowp vec4 texcol2D = texture2D( u_texture, v_texCoord );
	lowp float shadow = texture2DProj( u_texture1, v_ShadowTexCoord ).x;

	gl_FragColor = v_color * v_diffuse * texcol2D * v_ambient + ( ( shadow * v_Depth.w < v_Depth.z - 0.05 ) ? vec4(0.0,0.0,0.0,0.0) : v_diffuse );
*/
//	gl_FragColor = v_color * v_diffuse * texcol2D * v_ambient;
//	gl_FragColor = v_color * v_diffuse * texture2D( u_texture, v_texCoord );
//	gl_FragColor = v_color * texture2D( u_texture, v_texCoord );


	highp float shadow = texture2DProj( u_Texture1, v_ShadowTexCoord ).r;
		
	gl_FragColor = u_color * texture2D( u_texture, v_texCoord ) * (v_ambient + ( ( shadow * v_Depth.w < v_Depth.z - 0.5 ) ? vec4(0.0,0.0,0.0,0.0) : v_diffuse ));
	
/*	highp float shadow = texture2DProj( u_texture1, v_ShadowTexCoord ).x;
	
	gl_FragColor = v_color * texture2D( u_texture, v_texCoord ) + ( ( shadow * v_Depth.w < v_Depth.z - 0.05 ) ? vec4(0.0,0.0,0.0,0.0) : v_diffuse );
*/
}
