uniform highp sampler2D u_texture;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump vec4 v_colors;

const mediump vec3 monoScale = vec3(0.298912, 0.586611, 0.114478);

void main()
{
//	lowp vec4 texcol2D = texture2D( u_texture, v_texCoord );
	mediump vec4 smpColor = texture2D( u_texture, v_texCoord );
	
	if( smpColor.a <= 0.0 )	discard;
	
	mediump float grayColor = dot(monoScale, smpColor.rgb);
	gl_FragColor = vec4(vec3(grayColor), smpColor.a );
}
