uniform lowp sampler2D u_texture;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump float v_start;
varying mediump float v_level;
varying mediump float v_centerx;
varying mediump float v_centery;
varying mediump vec4 v_colors;

mediump vec2 g_input;

void main()
{
#if 1
	lowp vec4 sampler0, sampler1;
	g_input = v_texCoord;
//	g_input.y = v_texCoord.y + sin(radians(distance(v_texCoord, vec2(0.2,0.2))*360.0*2.0 - v_start))*v_level;
//	g_input.x = v_texCoord.x + cos(radians(distance(v_texCoord, vec2(0.2,0.2))*360.0*2.0 - v_start))*v_level;
	g_input.y = v_texCoord.y + sin(radians(distance(v_texCoord, vec2(0.2,0.2))*360.0*2.0 - v_start))*v_level*abs( 0.5 - (v_texCoord.y - 0.5));
	g_input.x = v_texCoord.x + cos(radians(distance(v_texCoord, vec2(0.2,0.2))*360.0*2.0 - v_start))*v_level*abs( 0.5 - (v_texCoord.y - 0.5));
//	g_input.y = v_texCoord.y + sin(radians(distance(v_texCoord, vec2(0.5,0.5))*360.0*3.0-v_start))*v_level*abs((v_texCoord.y - v_centery));
//	g_input.x = v_texCoord.x + sin(radians(distance(v_texCoord, vec2(0.5,0.5))*360.0*3.0-v_start))*v_level*abs((v_texCoord.x - v_centerx));
	sampler0 = v_colors * texture2D( u_texture, v_texCoord ) * 0.4;
	sampler1 = v_colors * texture2D( u_texture, g_input ) * 0.6;
	gl_FragColor = sampler0 + sampler1;
#endif

#if 0
	lowp vec4 sampler0, sampler1, sampler2, sampler3;
	g_input = v_texCoord;
	g_input.y = v_texCoord.y + 0.01*v_start*v_level;
	g_input.x = v_texCoord.x + 0.01*v_start*v_level;
	sampler0 = v_colors * texture2D( u_texture, g_input );
	g_input.y = v_texCoord.y - 0.01*v_start*v_level;
	g_input.x = v_texCoord.x + 0.01*v_start*v_level;
	sampler1 = v_colors * texture2D( u_texture, g_input );

	g_input.y = v_texCoord.y + 0.01*v_start*v_level;
	g_input.x = v_texCoord.x - 0.01*v_start*v_level;
	sampler2 = v_colors * texture2D( u_texture, g_input );

	g_input.y = v_texCoord.y - 0.01*v_start*v_level;
	g_input.x = v_texCoord.x - 0.01*v_start*v_level;
	sampler3 = v_colors * texture2D( u_texture, g_input );

	gl_FragColor = (sampler0 + sampler1 + sampler2 + sampler3) * 0.25;
#endif
#if 0
	lowp vec4 sampler0, sampler1;
	g_input = v_texCoord;
	g_input.y += cos( v_texCoord.x * 2.0 + v_start ) * v_level;

	//	g_input.y = v_texCoord.y + sin(radians(distance(v_texCoord, vec2(0.5,0.5))*360.0*3.0-v_start))*v_level*abs((v_texCoord.y - v_centery));
	//	g_input.x = v_texCoord.x + sin(radians(distance(v_texCoord, vec2(0.5,0.5))*360.0*3.0-v_start))*v_level*abs((v_texCoord.x - v_centerx));
	sampler0 = v_colors * texture2D( u_texture, v_texCoord ) * 0.4;
	sampler1 = v_colors * texture2D( u_texture, g_input ) * 0.6;
	gl_FragColor = sampler0 + sampler1;
#endif

}
