attribute highp vec4 a_vertex;
attribute mediump vec3 a_normal;
attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_ModelViewProj;

varying mediump vec3 v_normal;
varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main()
{
    gl_Position = u_ModelViewProj * a_vertex;
	v_normal = a_normal;
	v_color = a_color;
	v_texCoord = a_texCoord;
}
